View Issue Details

IDProjectCategoryView StatusLast Update
0001136FreeCADBugpublic2013-09-03 04:55
Reporterpeepsalot Assigned ToJriegel 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiontrunk 
Target VersionFixed in Version0.14 
Summary0001136: StdMeshers.so: cannot open shared object file: No such file or directory
DescriptionSteps to reproduce:
1) Create a primitive such as Box
2) Select part and use Meshes -> Create Mesh from Shape
3) Error is returned

Traceback (most recent call last):
  File "<string>", line 1, in <module>
<type 'exceptions.ImportError'>: StdMeshers.so: cannot open shared object file: No such file or directory
Stack Trace: Traceback (most recent call last):
  File "<string>", line 1, in <module>
Additional InformationInstalled from Ubuntu daily PPA
OS: Ubuntu 13.04
Platform: 64-bit
Version: 0.14.2125 (Git)
Branch: master
Hash: 37d1696e16a23700443dea33eed0294d54f2532c
Python version: 2.7.4
Qt version: 4.8.4
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0
TagsNo tags attached.
FreeCAD Information

Activities

Jriegel

2013-06-26 13:11

administrator   ~0003256

The whole meshing stuff is in reimplemtation and not ported to Linux at them moment.
So it will be brocken for a while...

wmayer

2013-09-01 11:10

administrator   ~0003534

I never realized this before but now I do. There must be something broken with the packaging.

Compiling the sources locally all the SMESH libs are there but apparently they are not part of the .deb package created on PPA.

wmayer

2013-09-03 04:55

administrator   ~0003537

git show 12046e

Issue History

Date Modified Username Field Change
2013-05-23 03:26 peepsalot New Issue
2013-06-26 13:11 Jriegel Note Added: 0003256
2013-06-26 13:11 Jriegel Assigned To => Jriegel
2013-06-26 13:11 Jriegel Status new => acknowledged
2013-09-01 11:10 wmayer Note Added: 0003534
2013-09-03 04:55 wmayer Note Added: 0003537
2013-09-03 04:55 wmayer Status acknowledged => closed
2013-09-03 04:55 wmayer Resolution open => fixed
2013-09-03 04:55 wmayer Fixed in Version => 0.14